JUCE: juce::midi_ci::SupportedAndActive Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::midi_ci::SupportedAndActive Struct Reference
juce_midi_ci » ci

Holds the maximum number of channels that may be activated for a MIDI-CI profile, along with the number of channels that are currently active. More...

`#include <juce_CISupportedAndActive.h>`

## Public Member Functions
bool | isSupported () const
| Returns true if supported is non-zero.
bool | isActive () const
| Returns true if active is non-zero.
bool | operator== (const SupportedAndActive &other) const
bool | operator!= (const SupportedAndActive &other) const

## Public Attributes
uint16_t | supported {}
| The maximum number of member channels for a profile.
uint16_t | active {}
| The number of member channels currently active for a profile.

## Detailed Description

Holds the maximum number of channels that may be activated for a MIDI-CI profile, along with the number of channels that are currently active.

## Member Function Documentation

## ◆ isSupported()

bool juce::midi_ci::SupportedAndActive::isSupported | ( |  | ) | const

Returns true if supported is non-zero.

References supported.

## ◆ isActive()

bool juce::midi_ci::SupportedAndActive::isActive | ( |  | ) | const

Returns true if active is non-zero.

References active.

## ◆ operator==()

bool juce::midi_ci::SupportedAndActive::operator== | ( | const SupportedAndActive & | other | ) | const

References x.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::SupportedAndActive::operator!= | ( | const SupportedAndActive & | other | ) | const

References operator==().

## Member Data Documentation

## ◆ supported

uint16_t juce::midi_ci::SupportedAndActive::supported {}

The maximum number of member channels for a profile.

0 indicates that the profile is unsupported. For group/block profiles, 1/0 indicates that the profile is supported/unsupported respectively.

Referenced by isSupported().

## ◆ active

uint16_t juce::midi_ci::SupportedAndActive::active {}

The number of member channels currently active for a profile.

0 indicates that the profile is inactive. For group/block profiles, 1/0 indicates that the profile is supported/unsupported respectively.

Referenced by isActive().

The documentation for this struct was generated from the following file:

- juce_CISupportedAndActive.h